package com.cmvr.test.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.test.model.domain.TeDetectionItem;
import com.cmvr.test.model.vo.TeDetectItemDeployFlowVO;
import com.cmvr.test.model.vo.TeDetectionItemVO;

import java.util.List;

/**
 * 检测项配置Service接口
 *
 * @author cmvr-iot
 */
public interface ITeDetectionItemService extends IService<TeDetectionItem> {
    /**
     * 查询检测项配置
     *
     * @param ID 检测项配置主键
     * @return 检测项配置
     */
    public TeDetectionItem selectTeDetectionItemById(String ID);

    /**
     * 查询检测项配置列表
     *
     * @param teDetectionItem 检测项配置
     * @return 检测项配置集合
     */
    public List<TeDetectionItemVO> selectTeDetectionItemList(TeDetectionItem teDetectionItem);

    /**
     * 新增检测项配置
     *
     * @param teDetectionItem 检测项配置
     * @return 结果
     */
    public int insertTeDetectionItem(TeDetectionItem teDetectionItem);

    /**
     * 修改检测项配置
     *
     * @param teDetectionItem 检测项配置
     * @return 结果
     */
    public int updateTeDetectionItem(TeDetectionItem teDetectionItem);

    /**
     * 部署检测项流程
     */
    public int deployFlow(TeDetectItemDeployFlowVO teDeployFlowVo);

    /**
     * 发布流程
     */
    public int publish(String flowId);

    /**
     * 批量删除检测项配置
     *
     * @param ids 需要删除的检测项配置主键集合
     * @return 结果
     */
    public int deleteTeDetectionItemByIds(String[] ids);

    /**
     * 删除检测项配置信息
     *
     * @param id 检测项配置主键
     * @return 结果
     */
    public int deleteTeDetectionItemById(String id);

    /**
     * 根据场景类型查询检测项
     *
     * @param sceneType 场景类型
     * @return 结果
     */
    public TeDetectionItem selectTeDetectionItemBySceneType(String sceneType);
}
